

# This is the root of the installation directory.
# GPKlib stuff get installed into $(BASE)/lib and $(BASE)/include .
BASE=$(HOME)/local

# Program for object-code archives.  Normally 'ar' on unix.
AR=ar

# Compiler flags:
# CFLAGS= -D__USE_GNU -Wall -g -x c++ -Wall -Wabi -Weffc++ -O
# CFLAGS= -D__USE_GNU -Wall -g -x c++ -Wall -Wabi -Weffc++ -O3 -mtune=generic
# CFLAGS= -D__USE_GNU -Wall -g -x c++ -Wall -Wabi -Weffc++ -O3 -mtune=native -march=native -fopenmp -fstrict-overflow -Wstrict-overflow -ftree-vectorize -fmodulo-sched -fstrict-aliasing -Wstrict-aliasing -DENABLE_OPEN_MP
CFLAGS= -D__USE_GNU -Wall -g -x c++ -Wall -Wabi -Weffc++ -O3 -mtune=native -Wstrict-overflow -Wstrict-aliasing 

# Extra compiler flags for building shared libraries:
CFLAG_LIB = -fpic -shared

#Libraries used by gpklib
LIBS=-lm

# How to build a shared .so  library
LDSHARE=g++ -shared
# LDSHARE=g++ -G

# Compiler for  .c to .o
COMPILER=g++

# Linker for executables
LD = g++ $(LPATH)

# Script to install things into their final resting place
INSTALL=install -D

MYLIBD=$(BASE)/lib
INC=$(BASE)/include
INCLUDES=-I$(INC)
# CC=$(COMPILER) -D$(OS) $(INCLUDES)
CC=$(COMPILER) $(INCLUDES)
# CCLIB=$(COMPILER) -D$(OS) $(LIB_INC) $(INCLUDES) $(CFLAG_LIB)
CCLIB=$(COMPILER) $(LIB_INC) $(INCLUDES) $(CFLAG_LIB)
LPATH=-L$(BASE)/lib
